summaryrefslogtreecommitdiff
path: root/tcwg_kernel-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg_kernel-build.sh')
-rwxr-xr-xtcwg_kernel-build.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/tcwg_kernel-build.sh b/tcwg_kernel-build.sh
index ee8fbaa8..875c6216 100755
--- a/tcwg_kernel-build.sh
+++ b/tcwg_kernel-build.sh
@@ -29,7 +29,7 @@ reset_baseline="${reset_baseline-false}"
start_at="${start_at-default}"
finish_at="${finish_at-default}"
target="${target-native}"
-rr[top_artifacts]="${rr[top_artifacts]-$(pwd)/artifacts}"
+top_artifacts="$top_artifacts-$(pwd)/artifacts}"
verbose="${verbose-true}"
verbose2="${verbose2-false}"
@@ -37,7 +37,7 @@ set -u
if $verbose2; then set -x; fi
-trap "eval \"echo ERROR at \${FUNCNAME[0]}:\${BASH_LINENO[0]}\" > ${rr[top_artifacts]}/failures" EXIT
+trap "eval \"echo ERROR at \${FUNCNAME[0]}:\${BASH_LINENO[0]}\" > $top_artifacts/failures" EXIT
if [ x"$target" = x"native" ]; then
target=$(uname -m)
@@ -94,7 +94,7 @@ else
base_artifacts_opt=""
fi
-run_step_init "$start_at" "$finish_at" "${rr[top_artifacts]}" "$base_artifacts_opt" "$verbose"
+run_step_init "$start_at" "$finish_at" "$top_artifacts" "$base_artifacts_opt" "$verbose"
rr[current_project]="$current_project"
rr[current_rev]="$current_rev"
@@ -104,6 +104,7 @@ rr[mode]="$mode"
rr[reset_baseline]="$reset_baseline"
rr[target]="$target"
rr[toolchain]="$toolchain"
+rr[top_artifacts]="$top_artifacts"
# Reset artifacts to an empty state. ${rr[top_artifacts]}/results is the most
# important artifact, since it records the metric of how successful the build